package top.r3944realms.lib39.content.block.property;

import net.minecraft.util.StringRepresentable;
import org.jetbrains.annotations.NotNull;

/**
 * The enum Doll pose.
 */
public enum DollPose implements StringRepresentable {
    /**
     * Default doll pose.
     */
    DEFAULT("default"),
    /**
     * further support
     */
    FURTHER("further"),
    ;
    private final String name;
    DollPose(String name) {
        this.name = name;
    }

    @Override
    public @NotNull String getSerializedName() {
        return name;
    }
}
